commit: feb0f4bc11d55d71408c54157442d4ec60f0a4d8
Author: Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sun Aug 3 09:53:08 2025 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sun Aug 3 09:54:55 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=feb0f4bc
app-admin/himitsu-totp: add 0.9
Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
app-admin/himitsu-totp/Manifest | 1 +
app-admin/himitsu-totp/himitsu-totp-0.9.ebuild | 31 ++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/app-admin/himitsu-totp/Manifest b/app-admin/himitsu-totp/Manifest
index 53088f84e3..de36adee73 100644
--- a/app-admin/himitsu-totp/Manifest
+++ b/app-admin/himitsu-totp/Manifest
@@ -1 +1,2 @@
DIST himitsu-totp-0.2.tar.gz 15199 BLAKE2B
bc6f7c4420956649a44a9c8a2a1315d49dc044f9a5bee72c690bcf3a6f8d9e2f3ab6c592bff40f813d6f76fb89b3a0f6a06003138c9165b46edb19b274a6ae13
SHA512
a6b3958e5b9c6e2e0bf4061ce9b4b5d738cc0635533ae944758630a7e3b6cae3c20e80e9f0078fa63c67965b5b3078b77b15a603d402bce3965cf58441a70781
+DIST himitsu-totp-0.9.tar.gz 15211 BLAKE2B
8cf1f81cd811fd9a9314711ffae6860bf6c2d415c2953fb0ce9a4b3783ae1e656dd9d72ae2269e66946b8d8734f2ffed103f8e33d6d77a3426748ab4cbfd0108
SHA512
c17bdbdb7fe0573466b861a90c24feda6866d7fd13aa2559445ada69aba715e21aedd31bb127c59f5c310e50d96eb9372c7ab78ac87091af5ca29b21e2c49072
diff --git a/app-admin/himitsu-totp/himitsu-totp-0.9.ebuild
b/app-admin/himitsu-totp/himitsu-totp-0.9.ebuild
new file mode 100644
index 0000000000..873ef7b4cc
--- /dev/null
+++ b/app-admin/himitsu-totp/himitsu-totp-0.9.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.sr.ht/~sircmpwn/himitsu-totp"
+else
+ SRC_URI="https://git.sr.ht/~sircmpwn/himitsu-totp/archive/${PV}.tar.gz
-> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~riscv"
+fi
+
+DESCRIPTION="TOTP support for Himitsu"
+HOMEPAGE="https://git.sr.ht/~sircmpwn/himitsu-totp"
+LICENSE="GPL-3"
+SLOT="0"
+
+RDEPEND="app-admin/himitsu:="
+DEPEND="
+ ${RDEPEND}
+ >=dev-lang/hare-0.25.2:=
+"
+BDEPEND="app-text/scdoc"
+
+# hare binary
+QA_FLAGS_IGNORED="usr/bin/hitotp"
+
+src_configure() {
+ sed -i 's;^PREFIX=.*;PREFIX=/usr;' Makefile || die
+}